namespace GLTFViewer.Engine;

public abstract class NodeProperty
{
    public string Name { get; }

    protected NodeProperty(string name)
    {
        Name = name;
    }
}

public class NodeProperty<T> : NodeProperty
{
    public T Value { get; set; }

    public NodeProperty(string name, T value) : base(name)
    {
        Value = value;
    }
}